//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
// #pragma link "vcljpg.bpl"
// USELIB("vcljpg.lib");
USEFORM("FGUI.cpp", GUI);
USEFORM("FGUIHTMLPreview.cpp", GUIHTMLPreview);
USEFORM("FGUISourceViewer.cpp", GUIViewSource);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		SetApplicationMainFormOnTaskBar(Application, true);
		Application->CreateForm(__classid(TGUI), &GUI);
		Application->CreateForm(__classid(TGUIHTMLPreview), &GUIHTMLPreview);
		Application->CreateForm(__classid(TGUIViewSource), &GUIViewSource);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
        	Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
